<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        #{csrRequestCreator.init()}

        <ui:decorate template="/layout/form/_form_page.xhtml">

            <h2>#{messages['net.ihe.gazelle.atna.SubmitYourCertificateSigningRequest']}</h2>

            <p>#{messages['net.ihe.gazelle.atna.ThisPageIsDedicatedToSubmitACertificateSigningRe']}
            </p>

            <p><span class="fa fa-exclamation-triangle"></span>#{messages['net.ihe.gazelle.atna.YouMustHaveOnYourOwnAPublicprivateKeyPairAndTheC']}
                <a href="#{csrRequestCreator.getRequestWithoutCSRLink()}" title="Request a Certificate">
                    #{messages['net.ihe.gazelle.atna.Here']}
                </a>.
            </p>
            <h:form id="csrForm">
                <!--<s:token id="csrToken"/>-->

                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.SubmitCSR']}</ui:define>

                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="caInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PKICertificateAuthority']}
                            </ui:define>
                            <h:inputText id="caInput" value="#{systemCA.getSubject()}"
                                         styleClass="form-control" disabled="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="typeInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateType']}</ui:define>
                            <h:selectOneMenu id="typeInput" styleClass="form-control gzl-select-text" required="true"
                                             value="#{csrRequestCreator.certificateExtension}">
                                <f:selectItems value="#{certificateBean.getCertificateExtensions()}"/>
                            </h:selectOneMenu>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="csrInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CSRInPEMFormat']}</ui:define>
                            <rich:fileUpload id="csrInput"
                                             fileUploadListener="#{csrRequestCreator.uploadListener}"
                                             maxFilesQuantity="1"
                                             acceptedTypes="pem,crt,csr" listHeight="60px"
                                             immediateUpload="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="pkInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PrivateKeyInPEMFormatoptional']})
                            </ui:define>
                            <rich:fileUpload id="pkInput"
                                             fileUploadListener="#{csrRequestCreator.uploadpkDataListener}"
                                             maxFilesQuantity="1"
                                             acceptedTypes="pem,crt,key" listHeight="60px"
                                             immediateUpload="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="pkpassInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PrivateKeyPasswordoptional']})
                            </ui:define>
                            <h:inputSecret id="pkpassInput" data="#{csrRequestCreator.pkpassword}"
                                           styleClass="form-control"/>
                        </s:decorate>

                    </div>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <h:commandButton action="#{csrRequestCreator.submitWithCSR()}"
                                         styleClass="gzl-btn-blue" execute="csrForm"
                                         value="#{messages['net.ihe.gazelle.atna.Request']}"/>
                    </ui:define>

                </ui:decorate>
            </h:form>
        </ui:decorate>
    </ui:define>
</ui:composition>
